shadowsocks-libev (3.3.1+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 17 Aug 2019 00:40:44 +0900

shadowsocks-libev (3.3.1+ds-1) unstable; urgency=medium

  * New upstream release: v3.3.1
    - Fix a high CPU bug introduced in 3.3.0.
    - Fix MinGW build.
    - Minor bug fixes.

 -- Roger Shimizu <rosh@debian.org>  Thu, 15 Aug 2019 01:54:34 +0900

shadowsocks-libev (3.3.0+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Fri, 26 Jul 2019 23:53:56 -0300

shadowsocks-libev (3.3.0+ds-1~bpo10+2) buster-backports; urgency=medium

  * Source only upload for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 16 Aug 2019 23:04:16 +0900

shadowsocks-libev (3.3.0+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Roger Shimizu <rosh@debian.org>  Fri, 26 Jul 2019 23:43:34 -0300

shadowsocks-libev (3.3.0+ds-1) unstable; urgency=medium

  [ Roger Shimizu ]
  * New upstream release: v3.3.0
    - Enlarge the socket buffer size to 16KB.
    - Fix the empty list bug in ss-manager.
    - Fix the IPv6 address parser.
  * debian/libshadowsocks-libev2.symbols: Update to fix FTBFS.

  [ Boyuan Yang ]
  * debian/*.service: Sync with upstream and require
    network-online.target instead of network.target.
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/shadowsocks-libev.lintian-overrides: Add overrides
    for systemd service templates that cannot fallback to sysvinit
    scripts.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 13:49:01 -0400

shadowsocks-libev (3.2.5+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Mar 2019 12:04:17 -0400

shadowsocks-libev (3.2.5+ds-1) unstable; urgency=high

  * New upstream release: v3.2.5
    + Fix a bug in port parser.
  * debian/patches: Cherry-pick several important upstream patches:
    + backport/0001: Fix upstream issue #3214 that make the plugin
      crash.
    + backport/0002: Fix and refine ipv6only support.

 -- Boyuan Yang <byang@debian.org>  Wed, 20 Mar 2019 11:35:43 -0400

shadowsocks-libev (3.2.4+ds-1) unstable; urgency=medium

  * New upstream release: v3.2.4
  * debian/control:
    + Bump Standards-Version to 4.3.0.
  * debian/shadowsocks-libev.postrm: Make the script more robust to
    fix the error on package purge.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Mar 2019 11:31:45 -0500

shadowsocks-libev (3.2.3+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Dec 2018 20:18:53 -0500

shadowsocks-libev (3.2.3+ds-1) unstable; urgency=medium

  * New upstream release: v3.2.3
    - Fix the alignment issue again.
  * debian/maint-tools/README: Update packaging repo url.
  * debian/README.Debian: Update my email address.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Dec 2018 20:12:36 -0500

shadowsocks-libev (3.2.2+ds-1) unstable; urgency=medium

  * New upstream release: v3.2.2
    - Fix a bug on 32-bit arch.
  * debian/libshadowsocks-libev2.symbols:
    - Add s_port@Base

 -- Roger Shimizu <rosh@debian.org>  Wed, 28 Nov 2018 01:15:47 +0900

shadowsocks-libev (3.2.1+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Mon, 26 Nov 2018 23:56:45 +0900

shadowsocks-libev (3.2.1+ds-2) unstable; urgency=medium

  * debian/patches: Backport patch from upstream.
    - [569570c] Fix memory alignment for AES256GCM on 32-bit system.
    - [519776c] Relax the nonce check in clients.
    - [4a51c28] Fix udp relay when tcp only (for use with kcptun).
    - [910e29a] Make local address 0.0.0.0 work with udp relay.

 -- Roger Shimizu <rosh@debian.org>  Fri, 23 Nov 2018 00:59:18 +0900

shadowsocks-libev (3.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
    - Add TCP fast open support to ss-tunnel by @PantherJohn.
    - Fix several security issues.
  * debian/libshadowsocks-libev2.symbols:
    - Remove keep_resolving.
    - Add ss_is_ipv6addr.

 -- Roger Shimizu <rosh@debian.org>  Mon, 12 Nov 2018 01:44:02 +0900

shadowsocks-libev (3.2.0+ds-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 10 Nov 2018 14:59:34 +0900

shadowsocks-libev (3.2.0+ds-5) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control:
    - Update my email address and use the @debian.org one.
    - Bump Standards-Version to 4.2.1 (no changes needed).

  [ Roger Shimizu ]
  * debian/shadowsocks-libev.service (cherry-pick from upstream):
    - Add CapabilityBoundingSet: CAP_NET_BIND_SERVICE
  * debian/shadowsocks-libev*.service (cherry-pick from upstream):
    - Add AmbientCapabilities sames as CapabilityBoundingSet.
  * Move "tcp_and_udp" mode setting from init script / systemd service
    to config.json. Also add a NEWS about this change.
  * debian/patches: Backport a few patches from upstream.
    - [482040a] Fix a potential stackoverflow issue.
    - [92cab35] Add check for reusing server's nonce/salt.

 -- Roger Shimizu <rosh@debian.org>  Thu, 08 Nov 2018 02:16:23 +0900

shadowsocks-libev (3.2.0+ds-4) unstable; urgency=medium

  * debian/patches:
    - Backport two upstream patches to support IPv6 bind address in
      config, but no actual ipv6 network interface.
  * debian/config.json:
    - Add IPv6 loopback address ::1 to bind list. This should be no harm
      since the above two patches. (Closes: #881847)
  * Remove debian/source/lintian-overrides:
    - The only lintian override, license-problem-gfdl-invariants, was
      addressed after stretch. Guessing ftpmaster shouldn't complain this
      anymore.

 -- Roger Shimizu <rosh@debian.org>  Mon, 24 Sep 2018 00:32:10 +0900

shadowsocks-libev (3.2.0+ds-3~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 20 Jun 2018 09:55:21 +0900

shadowsocks-libev (3.2.0+ds-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 20 Jun 2018 09:52:21 +0900

shadowsocks-libev (3.2.0+ds-3) unstable; urgency=medium

  * debian/control:
    - Use tracker mail as uploader address.
  * debian/patches:
    - Add patch to fix of PATH_MAX for GNU/Hurd.
      Upstreamed already as [d88345fa].
  * debian/shadowsocks-libev.postinst & debian/control:
    - Drop apg and pwgen from Depends, use perl rand() snippet to
      generate password. Thanks to Shengjing Zhu (Closes: 900258).

 -- Roger Shimizu <rosh@debian.org>  Sun, 17 Jun 2018 11:19:11 +0900

shadowsocks-libev (3.2.0+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 13 Jun 2018 00:16:49 +0900

shadowsocks-libev (3.2.0+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 13 Jun 2018 00:16:24 +0900

shadowsocks-libev (3.2.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - Cherry-pick patch from upstream that set default cipher to
      chacha20-ietf-poly1305, which was already debian package's default long
      before.
    - Add a patch to fix tests by using "local" setting instead of
      "local_address" in tests's config.

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 Jun 2018 16:07:15 +0900

shadowsocks-libev (3.2.0+ds-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against GCC 8. Closes: #897858.
    - Add support for XDG_CONFIG_HOME envvar.
    - Minor bug fixes.
  * debian/: Apply "wrap-and-sort -abst" for a uniformed format.
  * debian/control:
    - Bump Standards-Version to 4.1.4. (no changes needed)
  * debian/rules:
    - Use "dh_missing --fail-missing".
    - Remove unnecessary extra files before dh_install.
  * debian/copyright: Update copyright date information.
  * debian/patches: Refresh patches.
  * debian/shadowsocks-libev.install:
    - Also install zsh completions into system.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 04 Jun 2018 17:48:46 +0800

shadowsocks-libev (3.1.3+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 21 Mar 2018 13:52:23 +0900

shadowsocks-libev (3.1.3+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 21 Mar 2018 13:51:51 +0900

shadowsocks-libev (3.1.3+ds-2) unstable; urgency=medium

  [ Sync from 3.1.3+ds-1ubuntu1 ]
  * debian/shadowsocks-libev.postinst:
    - setcap may fail in some contexts (e.g. autopkgtest using LXD).  In
      that case, issue a warning and carry on.
  * debian/patches/test-proxy-unsupported.patch:
    - Skip tests if an upstream HTTP proxy is set.

  [ Roger Shimizu ]
  * debian/patches: Backport a few patches from upstream.
    - [ed508ac] Fix no parse --fast-open in manager mode.
    - [b6faadf] Support TCP_NODELAY in manager mode.
    - [b361f75] Remove unused return value.
    - [1a21989] Remove the return value in traffic IPC.
    - [7b643dc] Invoke plugins direct instead of using "sh".
    - [9778ce2] Documentation improvements.
    - [fb22adc] Fix unsafe stripping of port from hostname in http.c
                (incompatibility SNI sniffing with IPv6).
    - [26e06a7] Fix bypassing repeated-salt check.
    - [e7ad7fc] udprelay: display mtu at least size.
    - [a377c51] Fix #1974 that ss-server should return a non-zero value
                if plugin failed to start.
    - [d61b8f0] Launch plugin with NULL params gives plugin to run in both
                plugin mode & cli mode.
  * A few bits change to comfort lintian:
    - Amend Vcs-Git field of debian/control.
    - Move debian/source.lintian-overrides to debian/source/lintian-overrides.

 -- Roger Shimizu <rosh@debian.org>  Wed, 21 Mar 2018 13:15:49 +0900

shadowsocks-libev (3.1.3+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Wed, 17 Jan 2018 22:22:56 +0900

shadowsocks-libev (3.1.3+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Wed, 17 Jan 2018 22:22:25 +0900

shadowsocks-libev (3.1.3+ds-1) unstable; urgency=medium

  * New upstream release 3.1.3

 -- Roger Shimizu <rosh@debian.org>  Wed, 17 Jan 2018 22:04:53 +0900

shadowsocks-libev (3.1.2+ds-2) unstable; urgency=medium

  * debian/control:
    - Move git repo to salsa.
  * debian/rules:
    - Add more clean-up to make dpkg-buildpackage be able to run again.

 -- Roger Shimizu <rosh@debian.org>  Sun, 07 Jan 2018 15:38:11 +0900

shadowsocks-libev (3.1.2+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Jan 2018 22:13:29 +0900

shadowsocks-libev (3.1.2+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rosh@debian.org>  Sat, 06 Jan 2018 22:13:08 +0900

shadowsocks-libev (3.1.2+ds-1) unstable; urgency=medium

  * New upstream release 3.1.2
  * debian/control:
    - Update maintainer email.
  * Update debian/libshadowsocks-libev2.symbols.

 -- Roger Shimizu <rosh@debian.org>  Tue, 02 Jan 2018 01:44:29 +0900

shadowsocks-libev (3.1.1+ds-4) unstable; urgency=medium

  * debian/tests:
    - Remove isolation-* from Restrictions. Thanks to Antonio Terceiro
      to confirm there's no need to specify this to open port to listen.
  * debian/patches:
    - Add patch to change the port of test suite to listen from 8388 to
      8389, since 8388 is already taken by default config.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 13 Dec 2017 00:39:52 +0900

shadowsocks-libev (3.1.1+ds-3) unstable; urgency=medium

  * debian/tests:
    - Since isolation-container still didn't work, change to
      "isolation-machine" and have a try.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 04 Dec 2017 22:48:32 +0900

shadowsocks-libev (3.1.1+ds-2) unstable; urgency=medium

  * debian/tests:
    - Add isolation-container to Restrictions, since the tests need to
      open ports. Thanks to James Cowgill for this clue.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 01 Dec 2017 22:29:45 +0900

shadowsocks-libev (3.1.1+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 01 Dec 2017 00:57:17 +0900

shadowsocks-libev (3.1.1+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 01 Dec 2017 00:53:29 +0900

shadowsocks-libev (3.1.1+ds-1) unstable; urgency=medium

  * Release to unstable.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 26 Nov 2017 18:45:47 +0900

shadowsocks-libev (3.1.1+ds-1~exp2) experimental; urgency=medium

  * debian/patches:
    - Remove the temp fix to set TZ=UTC prefix for asciidoc command
      for reproducible build.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 26 Nov 2017 17:59:20 +0900

shadowsocks-libev (3.1.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.1.1
  * debian/copyright:
    - Remove a few items from Files-Excluded list.
    - Update copyright year for src/uthash.h.
    - Add file entry for tests/test.py.
  * debian/watch:
    - Change filenamemangle to match with the filename in archive.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 23 Nov 2017 17:43:33 +0900

shadowsocks-libev (3.1.0+ds-5) unstable; urgency=medium

  * debian/patches:
    - Backport the tests.
  * debian/tests:
    - Add upstream tests.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 17 Nov 2017 01:39:53 +0900

shadowsocks-libev (3.1.0+ds-4~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 09 Nov 2017 00:52:06 +0900

shadowsocks-libev (3.1.0+ds-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 09 Nov 2017 00:51:12 +0900

shadowsocks-libev (3.1.0+ds-4) unstable; urgency=medium

  * Release to unstable.
  * debian/patches:
    - Backport a few patches from upstream.
      + [26ae365] Fix SOCKS5 connectivity issue.
      + [f35e24f] Support ubuntu artful and bionic for build_deb.sh.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 09 Nov 2017 00:17:45 +0900

shadowsocks-libev (3.1.0+ds-4~exp2) experimental; urgency=medium

  * debian/libshadowsocks-libev2.symbols:
    - Update versions in symbols, to it's proper old version in previous
      debian releases.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 29 Oct 2017 18:51:15 +0900

shadowsocks-libev (3.1.0+ds-4~exp1) experimental; urgency=medium

  * debian/libshadowsocks-libev2.symbols:
    - setinterface doesn't exist on hurd and kfreebsd systems.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 27 Oct 2017 01:18:25 +0900

shadowsocks-libev (3.1.0+ds-3) unstable; urgency=medium

  * debian/libshadowsocks-libev2.symbols:
    - Add symbols file for libshadowsocks-libev2.
  * debian/control:
    - Bump up package priority from extra to optional, since policy states
      extra is the same as optional now.
    - Bump up Standards-Version to 4.1.1

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 25 Oct 2017 00:24:54 +0900

shadowsocks-libev (3.1.0+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 24 Oct 2017 08:44:29 +0900

shadowsocks-libev (3.1.0+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 24 Oct 2017 08:43:09 +0900

shadowsocks-libev (3.1.0+ds-2) unstable; urgency=medium

  * debian/patches:
    - Backport a few patches from upstream.
      + [c67d275] Fix potential local exploit issue.
        Thanks to X41 D-Sec GmbH, Niklas Abel, for the reporting:
         https://www.x41-dsec.de/lab/advisories/x41-2017-010-shadowsocks-libev/
      + [b3f3b58] & [f19a96e] Fix two null pointer dereference.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 18 Oct 2017 23:53:49 +0900

shadowsocks-libev (3.1.0+ds-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 14 Oct 2017 16:26:30 +0900

shadowsocks-libev (3.1.0+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 14 Oct 2017 16:24:56 +0900

shadowsocks-libev (3.1.0+ds-1) unstable; urgency=medium

  * Release to unstable.
  * d/patches:
    - Backport a few patches from upstream.
      + [b721c0f] Update docs for TCP_NODELAY.
      + [82694c8] properly set recv_ctx->connected.
      + [da85fa1] Fix scripts/build_deb.sh for debian jessie.
      + [10a2d3e] Fix make distclean failure when
        ./configure --disable-documentation
  * Remove debian/source.lintian-overrides from
    debian/source.lintian-override, since it's unused.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 07 Oct 2017 01:36:58 +0900

shadowsocks-libev (3.1.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.1.0
  * d/control:
    - Note replacing dependency libudns-dev with libc-ares-dev.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 20 Sep 2017 01:38:40 +0900

shadowsocks-libev (3.0.8+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 08 Aug 2017 15:14:25 -0400

shadowsocks-libev (3.0.8+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 08 Aug 2017 10:12:26 -0400

shadowsocks-libev (3.0.8+ds-2) unstable; urgency=medium

  * debian/patches:
    - Backport a patch from upstream to update json.c to latest,
      to fix a security issue.
    - Refresh patches.
  * debian/control:
    - Bump libsodium-dev required version to 1.0.12, to enable more ciphers.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 03 Aug 2017 01:37:26 +0900

shadowsocks-libev (3.0.8+ds-1) unstable; urgency=medium

  * New upstream release 3.0.8

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 28 Jul 2017 00:38:39 +0900

shadowsocks-libev (3.0.7+ds-2~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 15 Jul 2017 22:49:12 +0900

shadowsocks-libev (3.0.7+ds-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 15 Jul 2017 20:49:07 +0900

shadowsocks-libev (3.0.7+ds-2) unstable; urgency=medium

  * Add back debian/patches/backport/README
  * debian/control:
    - Add to Suggests: haveged, kcptun, simple-obfs.
  * debian/patches:
    - Cherry-pick upstream fixes till commit 0e74ea50.
    - Add a patch to fix reproducible build.
  * Add debian/doc-base.

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 10 Jul 2017 01:08:16 +0900

shadowsocks-libev (3.0.7+ds-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 04 Jul 2017 23:43:55 +0900

shadowsocks-libev (3.0.7+ds-1) unstable; urgency=medium

  * New upstream release 3.0.7
  * debian/control:
    Bump Standards-Version to 4.0.0, no changes required.
  * debian/patches:
    - drop all backported patches.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 27 Jun 2017 15:34:23 +0800

shadowsocks-libev (3.0.6+ds-1~exp1) experimental; urgency=medium

  [ Boyuan Yang ]
  * New upstream release 3.0.6
  * debian/patches:
    - drop all old backports patches.
    - cherry-pick upstream fixes till commit 3f0d39ae.
  * debian/copyright: refresh release date.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 03 May 2017 16:54:51 +0800

shadowsocks-libev (3.0.5+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.0.5
  * debian/control:
    - Add libbloom-dev as Build-Depends, which is required since 3.0.3.
  * debian/copyright:
    - Add new entry of scripts/build_deb.sh
  * debian/rules:
    - Remove old hardening environment variables which is not necessary
      any more.
    - Create libbloom folder temporarily for dh_autoreconf, because
      configure.ac complains without it.
  * debian/patches:
    - Backport patches from upstream, till commit [adbc0be].

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 13 Apr 2017 21:24:48 +0900

shadowsocks-libev (3.0.2+ds-1~exp2) experimental; urgency=medium

  * debian/ folder sync with upstream:
    - README.Debian
      + Remove "Alternated crypto library" part, since upstream now
        supports mbedtls only.
    - config.json
      + Set rc4-md5 as default cipher
    - control
      + Add libsodium-dev version requirement >= 1.0.8~
      + Remove "OpenSSL dependency is removed due to license issue".
    - rules
      + Remove "--with systemd" because it's enabled by default since
        debhelper 10
    - shadowsocks-libev.docs
      + Add AUTHORS and README.md
  * debian/patches:
    - Backport a few patches from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 18 Feb 2017 16:36:44 +0900

shadowsocks-libev (3.0.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release 3.0.2
  * debian/copyright:
    - Remove non-existing files from Files-Excluded list.
    - Add entry of src/base64.{c,h} and scripts/deb4*.sh.
  * debian/patches:
    - Remove all debian specific patches (0001 & 0002), after backporting
      a new autotool related patch from upstream. Thanks to Max Lv.
    - Backport a few patches from upstream.
  * debian/control:
    - Add asciidoc as alternative Build-Depends. Although sbuild doesn't
      support it, it's better to mention here, because there's no
      asciidoc-base package in jessie-backports and ubuntu.
    - Remove dh-systemd from Build-Depends, which is unnecessary in
      debhelper 10.
  * debian/shadowsocks-libev.postinst:
    - Add CAP_NET_ADMIN capability to ss-redir
  * debian/rules:
    - override_dh_autoreconf:
      + Since now we use autotool scripts the same as upstream, here we
        have to add some dummy folders/files to feed configure.ac.
    - override_dh_auto_configure:
      + Add --enable-system-shared-lib
      + Remove --with-crypto-library, since upstream now only supports
        mbedtls and removes this option.
  * debian/shadowsocks-libev.docs:
    - Install contrib scripts as docs.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 16 Feb 2017 02:35:57 +0900

shadowsocks-libev (2.6.3+ds-1) unstable; urgency=medium

  * New upstream release 2.6.3
  * debian/copyright: Add .gitmodules and m4/lib-link.m4 to
    Files-Excluded list.
  * debian/patches:
    - Rebase previous patches, because upstream modified autoconf
      files heavily.
  * debian/rules:
    - Remove --enable-system-shared-lib from configure param.
    - Add note for --disable-ssp.
  * debian/patches:
    - Backport a few patches from upstream:
      + Cleanup unused _WIN32 #ifdef.
      + Add condition to check whether to support chacha20-ietf cipher
        (Patch 0004~0006 0008).
      + Cleanup configure.ac.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 25 Jan 2017 19:58:24 +0900

shadowsocks-libev (2.6.2+ds-1) unstable; urgency=medium

  * New upstream release 2.6.2
  * debian/shadowsocks-libev.{default,init,service}:
    - Run service as non-root.
  * debian/control:
    - Move libcap2-bin from Suggests to Depends.
  * debian/shadowsocks-libev.init:
    - To make plugin stop working also.
  * debian/patches:
    - Refresh existing patches.
    - Backport a few patches from upstream:
      + Fix typo of upstream changelog.
      + Fix src/server.c (Patch 0004)
      + Update manpage docs.
      + Update README of upstream.
      + Fix completions/bash/ss-server.
  * debian/copyright:
    - Update copyright year.
    - Remove a few files and directory from Files-Excluded, because those
      are already removed from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 21 Jan 2017 15:22:27 +0900

shadowsocks-libev (2.6.1+ds-2) unstable; urgency=medium

  * debian/control:
    - Limit "Suggests: libcap2-bin" in "linux-any". Hurd/kFreeBSD
      don't have this supported.
  * debian/patches:
    - Backport a patch from upstream to fix FTBFS on GNU/Hurd.
    - Backport a few patches from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 10 Jan 2017 23:38:17 +0900

shadowsocks-libev (2.6.1+ds-1) unstable; urgency=medium

  * New upstream release 2.6.1
  * debian/copyright:
    - Remove entry of copyright on src/base64.{c,h}, because those two src
      files has been removed from upstream.
  * debian/patches:
    - Backport a few patches from upstream.

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 10 Jan 2017 00:07:49 +0900

shadowsocks-libev (2.6.0+ds-2) unstable; urgency=medium

  * Revert obfuscating function added since v2.6.0,
    due to it's already dropped by upstream, and won't be
    supported in the future.
  * debian/patches:
    - Add revert patch and refresh patches.
  * debian/copyright:
    - Add new entry of copyright on src/base64.{c,h}
    - Update copyright year.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 05 Jan 2017 23:55:09 +0900

shadowsocks-libev (2.6.0+ds-1) experimental; urgency=medium

  * New upstream release 2.6.0
  * debian/maint-tools:
    - Update README and script
  * debian/patches:
    - Rebase patches.
    - Backport a few patches from upstream.
  * debian/control & debian/shadowsocks-libev.postinst:
    - Add capabilities for Debian, so it's able to run ss-* as non-root.
      Cherry-picked from upstream git repo, And thanks to
      Zhengjun Zhang <siyanmao.sec@gmail.com>.
  * debian/control:
    - Build-Depends on asciidoc-base instead of asciidoc.
    - Set libshadowsocks-libev-dev as "Multi-Arch: same", based on wiki:
      https://wiki.debian.org/MultiArch/Hints

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 05 Jan 2017 01:40:09 +0900

shadowsocks-libev (2.5.6+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/patches:
    - Update 0003 patch, to disable cipher CHACHA20IETF,
      which it's not supported by libsodium in jessie
    - Refresh patches

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 28 Nov 2016 01:18:44 +0900

shadowsocks-libev (2.5.6+ds-1) unstable; urgency=medium

  * New upstream release 2.5.6
  * debian/maint-tools:
    - Remove backported patches when merge with upstream
    - Fix typo and catch exception of tag existence
    - Add README

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 05 Nov 2016 17:50:04 +0900

shadowsocks-libev (2.5.5+ds-2) unstable; urgency=medium

  * debian/copyright:
    - update slightly
  * debian/control:
    - Add lsb-base as dependency to package shadowsocks-libev, since the init
      script sources /lib/lsb/init-functions utility functions
    - Change the order of binary packages.
      Because README.Debian by default only installs on 1st binary package.
      (Closes: #842039)
    - Bump libcork-dev dependency version to incorporate the new libcork16
      library transition to avoid possible build issue.
  * debian/patches:
    - Refresh patches
    - Backport a few fixes from upstream

 -- Roger Shimizu <rogershimizu@gmail.com>  Sun, 30 Oct 2016 12:24:15 +0900

shadowsocks-libev (2.5.5+ds-1) unstable; urgency=medium

  * Update to upstream v2.5.5

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 13 Oct 2016 00:57:07 +0900

shadowsocks-libev (2.5.3+ds-1) experimental; urgency=low

  * Update to upstream v2.5.3
    - Remove patches merged by upstream: 0003
    - Update patch 0001 0002: make it appliable to this version
    - Update debian/copyright: remove .github/, add newly appended files
  * debian/control:
    - Update based on upstream's change
    - Add Replaces and Breaks for lib version up
  * debian/maint-tools/:
    - Add two script to make life easier for new upstream release
  * debian/copyright:
    - Add license information for m4/ files

 -- Roger Shimizu <rogershimizu@gmail.com>  Tue, 04 Oct 2016 23:05:55 +0900

shadowsocks-libev (2.4.8+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/patches:
    - Add patch to disable cipher CHACHA20IETF, which it's not supported
      by libsodium in jessie

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 05 Oct 2016 02:51:35 +0900

shadowsocks-libev (2.4.8+ds-1) unstable; urgency=medium

  * Update to upstream v2.4.8
    - Remove patches merged by upstream: 0003 0004 0005
    - Update patch 0001: make it appliable to this version
    - Update debian/control to add newly appended build-dep
    - Update debian/rules to adjust param ordering as close as upstream
    - Update debian/copyright to remove man/, which merged into doc/ folder
  * debian/patches:
    - Cherry-Pick upstream patch 0003: add a few spaces to asciidoc to make
      lintian happy. Thanks to Max Lv for fixing this.

 -- Roger Shimizu <rogershimizu@gmail.com>  Fri, 22 Jul 2016 23:10:14 +0900

shadowsocks-libev (2.4.7+20160630+ds-3) unstable; urgency=low

  * debian/rules:
    - Add param "--disable-ssp" to dh_auto_configure command.
      Thanks to Aaron M. Ucko and Boyuan Yang. (Closes: #829498)
  * debian/patches:
    - Add 0003 patch, to fix PATH_MAX for GNU/Hurd.
    - Cherry-Pick two patch from upstream as 0004 and 0005

 -- Roger Shimizu <rogershimizu@gmail.com>  Mon, 18 Jul 2016 23:26:20 +0900

shadowsocks-libev (2.4.7+20160630+ds-2) unstable; urgency=medium

  * debian/control
    - Move to git repo to collab-maint on alioth
  * Change way to handle config file
    Install config.json file to /usr/share/<pkg>, instead of /etc, and then
    generate a config file under /etc, because conffile (under /etc) cannot
    be modified by maintainer script according to Debian Policy.
    Thanks help from Andreas Beckmann. (Closes: #829478)

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 06 Jul 2016 01:49:40 +0200

shadowsocks-libev (2.4.7+20160630+ds-1) unstable; urgency=medium

  * Initial release (Closes: #824268)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 02 Jul 2016 10:18:59 +0200
